| Samsung Internal API reference 2.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- w
- x
- y

### - a -

- acceptServerVersion : TEE_tlsSocket_Setup_s
- allowedCipherSuites : TEE_tlsSocket_Setup_s
- alpnList : TEE_tlsSocket_Setup_s
- apiVersion : TEE_tcpSocket_Setup_s , TEE_tlsSocket_Setup_s , TEE_udpSocket_Setup_s
- arg_types : smc_data
- args : smc_data

### - b -

- baseContext : TEE_tlsSocket_Setup_s
- baseSocket : TEE_tlsSocket_Setup_s
- bitsPerWord : TEES_SPIConfig
- blueBitsDepth : TEE_TUIScreenInfo , TEES_TUIScreenInfo
- buf : TEES_I2CTransfer , TEES_TUI_MT_Info
- bufAddr : TEES_SPITransfer
- buffer : __TEE_SC_OID , __TEE_SEAID , TEE_TUIEntryField
- bufferLen : __TEE_SC_OID , __TEE_SEAID
- bufferLength : TEE_TUIEntryField
- bufLen : TEES_SPITransfer
- buttonHeight : TEE_TUIScreenButtonInfo
- buttonImageCustom : TEE_TUIScreenButtonInfo
- buttonInfo : TEE_TUIScreenInfo
- buttons : TEE_TUIScreenConfiguration
- buttonText : TEE_TUIScreenButtonInfo
- buttonTextCustom : TEE_TUIScreenButtonInfo
- buttonWidth : TEE_TUIScreenButtonInfo

### - c -

- clientCredType : TEE_tlsSocket_Credentials_s
- clockSeqAndNode : __uuid_t
- close : fops , TEE_iSocket_s
- cnt : ioctl_desc
- CPHA : TEES_SPIConfig
- CPOL : TEES_SPIConfig
- credentials : TEE_tlsSocket_Setup_s

### - e -

- entryFieldLabelHeight : TEE_TUIScreenInfo
- entryFieldLabelWidth : TEE_TUIScreenInfo
- error : TEE_iSocket_s
- extFlags : TEE_tlsSocket_Setup_s

### - f -

- finger : TEES_TUIMTInfo
- fops : usr_drv_info
- fsync : fops

### - g -

- gid : TEES_ClientCredentials
- grayscaleBitsDepth : TEE_TUIScreenInfo , TEES_TUIScreenInfo
- greenBitsDepth : TEE_TUIScreenInfo , TEES_TUIScreenInfo

### - h -

- handle : usr_drv_info
- height : TEE_TUIImage , TEES_TUIImage
- heightInch : TEE_TUIScreenInfo , TEES_TUIScreenInfo

### - i -

- image : TEE_TUIButton , TEE_TUIScreenLabel
- imageBuf : TEES_TUIImage
- imageLength : TEES_TUIImage
- imageXOffset : TEE_TUIScreenLabel
- imageYOffset : TEE_TUIScreenLabel
- ioctl : fops , TEE_iSocket_s
- ipVersion : TEE_tcpSocket_Setup_s , TEE_udpSocket_Setup_s
- isDMAMode : TEES_SPIConfig

### - l -

- label : TEE_TUIEntryField , TEE_TUIScreenConfiguration
- labelColor : TEE_TUIScreenInfo
- labelHeight : TEE_TUIScreenInfo
- labelWidth : TEE_TUIScreenInfo
- len : desc_atom , TEES_I2CTransfer
- lookup : fops
- lseek : fops

### - m -

- manualClockControl : TEES_SPIConfig
- maxEntryFieldLength : TEE_TUIScreenInfo
- maxEntryFields : TEE_TUIScreenInfo
- maxExpectedLength : TEE_TUIEntryField
- minExpectedLength : TEE_TUIEntryField
- mkdir : fops
- mmap : fops
- mode : TEE_TUIEntryField

### - n -

- num : TEES_TUI_MT_Info

### - o -

- ocspStatusType : TEE_tlsSocket_Setup_s
- open : fops , TEE_iSocket_s
- openTimeout : TEE_tcpSocket_Setup_s , TEE_udpSocket_Setup_s

### - p -

- pid : TEES_ClientCredentials
- priv : usr_drv_info
- probe : fops
- protocolID : TEE_iSocket_s

### - r -

- read : fops
- readdir : fops
- recv : TEE_iSocket_s
- redBitsDepth : TEE_TUIScreenInfo , TEES_TUIScreenInfo
- rename : fops
- requestedButtons : TEE_TUIScreenConfiguration
- resolution_height : TEES_TUIScreenInfo
- resolution_width : TEES_TUIScreenInfo
- rmdir : fops

### - s -

- scCardKeyRef : __TEE_SC_Params
- scDeviceKeyRef : __TEE_SC_Params
- scKeyEncHandle : __TEE_SC_KeySetRef
- scKeyID : __TEE_SC_CardKeyRef
- scKeyMacHandle : __TEE_SC_KeySetRef
- scKeyType : __TEE_SC_DeviceKeyRef
- scKeyVersion : __TEE_SC_CardKeyRef
- scOID : __TEE_SC_Params
- screenOrientation : TEE_TUIScreenConfiguration
- scSecurityLevel : __TEE_SC_Params
- scType : __TEE_SC_Params
- selectResponseEnable : __TEE_SEReaderProperties
- send : TEE_iSocket_s
- sePresent : __TEE_SEReaderProperties
- server_addr : TEE_tcpSocket_Setup_s , TEE_udpSocket_Change_s , TEE_udpSocket_Setup_s
- server_port : TEE_tcpSocket_Setup_s , TEE_udpSocket_Change_s , TEE_udpSocket_Setup_s
- serverCredType : TEE_tlsSocket_Credentials_s
- serverName : TEE_tlsSocket_Setup_s
- source : TEE_TUIImage
- speedHz : TEES_SPIConfig
- st_gid : stat
- st_mode : stat
- st_refcount : stat
- st_size : stat
- st_uid : stat
- stat : fops

### - t -

- TEE_iSocketVersion : TEE_iSocket_s
- teeOnly : __TEE_SEReaderProperties
- text : TEE_TUIButton , TEE_TUIScreenLabel
- textColor : TEE_TUIScreenLabel
- textXOffset : TEE_TUIScreenLabel
- textYOffset : TEE_TUIScreenLabel
- timeHiAndVersion : __uuid_t
- timeLow : __uuid_t
- timeMid : __uuid_t
- tlsCallback : TEE_tlsSocket_Setup_s
- tm_hour : tm
- tm_isdst : tm
- tm_mday : tm
- tm_min : tm
- tm_mon : tm
- tm_sec : tm
- tm_wday : tm
- tm_yday : tm
- tm_year : tm
- touchType : TEES_TUIMTInfo , TEES_TUITouchInfo
- tpl : ioctl_desc
- transferredLen : TEES_SPITransfer
- truncate : fops
- type : desc_atom , ioctl_desc , TEE_TUIEntryField

### - u -

- uid : TEES_ClientCredentials
- unlink : fops
- use_png_alpha : TEES_TUIImage

### - w -

- width : TEE_TUIImage , TEES_TUIImage
- widthInch : TEE_TUIScreenInfo , TEES_TUIScreenInfo
- write : fops

### - x -

- xPosition : TEES_TUIMTInfo , TEES_TUITouchInfo

### - y -

- yPosition : TEES_TUIMTInfo , TEES_TUITouchInfo